import { p as promiseResolve, b as bootstrapLazy } from './index-24de62c1.js';

/*
 Stencil Client Patch Esm v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["quickom-chat-qrcode",[[1,"quickom-chat-qrcode",{"alias":[1],"backgroundColor":[1,"background-color"],"domain":[1],"isOpen":[32]}]]],["quickom-svg-render",[[1,"quickom-svg-render",{"src":[1],"width":[2],"height":[2],"svgContent":[32],"svgAttriutes":[32]}]]],["quickom-chat_2",[[0,"quickom-chat",{"domain":[1],"backgroundColor":[1,"background-color"],"memberId":[1,"member-id"],"chatWithMemberId":[1,"chat-with-member-id"],"apiKey":[1,"api-key"],"avatar":[1],"isOpen":[32]}],[0,"quickom-chat-iframe",{"domain":[1],"memberId":[1,"member-id"],"chatWithMemberId":[1,"chat-with-member-id"],"avatar":[1],"apiKey":[1,"api-key"]}]]]], options);
  });
};

export { defineCustomElements };
